Skip to main content

Agent completed coordinated drain

POST
/tasks/measurement-ready/{id}

Records completion of protocol drain on an agent. Once every task agent is ready, the controller synchronously reads the hardware counters, saves a unified snapshot, and only then allows the processes to exit.

Contract

Parameter
Value
Sectiontasks
AuthenticationAgentAuth
Consumesapplication/json
Producesapplication/json

Parameters

2 parameters

Name
Location
Required
Type
Description
idpathyesintegerTask ID
requestbodyyesobjectHostname of the ready agent
  • {
      "hostname": "<string>"
    }

Responses

4 responses

Status
Description
Type
200
Number of ready agentsobject
400
Invalid ID or request bodyobject
404
Task not foundobject
409
Task is no longer being trackedobject
  • {}
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }